Program Lines

use std_type
Use japi

implicit none

integer :: frame,line

IF( .NOT. j_start()) THEN
  PRINT*, "can't connect to JAPI server"
  CALL j_quit()
  stop
END IF

frame = j_frame("Rulers")
call j_setnamedcolorbg(frame,J_LIGHT_GRAY)
line  = j_line(frame,J_HORIZONTAL,J_LINEDOWN,200)
call j_setpos(line,100,100)
line  = j_line(frame,J_HORIZONTAL,J_LINEUP,200)
call j_setpos(line,100,200)
line  = j_line(frame,J_VERTICAL,J_LINEDOWN,150)
call j_setpos(line,50,75)
line  = j_line(frame,J_VERTICAL,J_LINEUP,150)
call j_setpos(line,350,75)
	
call j_show(frame)
	
do
    if(j_nextaction() /= frame) exit
end do
          
call j_quit()

end program Lines
